<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        table{
            border: 1px black solid;
            width: 30%;
        }
        td{
            border: 1px black solid;
            text-align: center;
            color: white;
        }
    </style>
</head>
<body>
    <!--define una tabla de 4x4 con nombres ocultos. el usuario introduce un nombre y mediante 
    un boton comprobar le diremos si existe en la tabla y mostraremos el lugar que ocupa-->

    <table>
        <tr>
            <td class="uno">uno</td>
            <td class="dos">dos</td>
            <td class="tres">tres</td>
            <td class="cuatro">cuatro</td>
        </tr>
        <tr>
            <td class="cinco">cinco</td>
            <td class="seis">seis</td>
            <td class="siete">siete</td>
            <td class="ocho">ocho</td>
        </tr>
        <tr>
            <td class="nueve">nueve</td>
            <td class="diez">diez</td>
            <td class="once">once</td>
            <td class="doce">doce</td>
        </tr>
        <tr>
            <td class="trece">trece</td>
            <td class="catorce">catorce</td>
            <td class="quince">quince</td>
            <td class="dieci">dieciseis</td>
        </tr>
    </table>
    <input type="text" id="palabra">
    <input type="button" value="comprobar" id="boton">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $("#boton").click(function(){
                $("td").each(function(){
                    if($("#palabra").val()==$(this).text()){
                        $(this).css("color","black")
                    }
                    })
            })
        })
    </script>
</body>
</html>